# nanoseconds [![NPM version](https://badge.fury.io/js/nanoseconds.svg)](http://badge.fury.io/js/nanoseconds)

> Convert the process.hrtime array to a single nanoseconds value.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i nanoseconds --save
```

## Usage

```js
var nano = require('nanoseconds');
nano([0, 999]);
//=> 999

nano([12, 999]);
//=> 12000000999

nano([1298001, 09187662]);
//=> 1298001009187662
```

## Related projects

* [o-clock](https://www.npmjs.com/package/o-clock): Simple utility for displaying the time in 12-hour clock format. | [homepage](https://github.com/jonschlinkert/o-clock)
* [pretty-time](https://www.npmjs.com/package/pretty-time): Easily format the time from node.js `process.hrtime`. Works with timescales ranging from weeks to nanoseconds. | [homepage](https://github.com/jonschlinkert/pretty-time)
* [time-stamp](https://www.npmjs.com/package/time-stamp): Get a formatted timestamp. | [homepage](https://github.com/jonschlinkert/time-stamp)
* [timescale](https://www.npmjs.com/package/timescale): Convert from one time scale to another. Nanosecond is the most atomic unit, week is… [more](https://www.npmjs.com/package/timescale) | [homepage](https://github.com/jonschlinkert/timescale)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/nanoseconds/issues/new).

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on October 18, 2015._